Name:           perl-Lingua-Identify
Summary:        Language identification
Version:        0.51
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Lingua-Identify/
Source0:        http://www.cpan.org/authors/id/A/AM/AMBS/Lingua/Lingua-Identify-%{version}.tar.gz

# https://rt.cpan.org/Public/Bug/Display.html?id=83071
Patch0:         Lingua-Identify-0.51-Fix-a-unit-test.patch

BuildArch:      noarch

BuildRequires:  perl(base)
BuildRequires:  perl(Class::Factory::Util) >= 1.6
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Getopt::Std)
BuildRequires:  perl(locale)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Text::Affixes) >= 0.07
BuildRequires:  perl(Text::ExtractWords)
BuildRequires:  perl(Text::Ngram) >= 0.13

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
Lingua::Identify identifies the language a given string or file is written in.


%package tools
Summary:        Tools related to Lingua::Identify

Requires:       %{name} == %{version}-%{release}

%description tools
Tools related to Lingua::Identify.


%prep
%setup -q -n Lingua-Identify-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;

%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README
%{_mandir}/man3/Lingua::Identify*
%{perl_vendorlib}/Lingua

%files tools
%{_bindir}/langident
%{_bindir}/make-lingua-identify-language
%{_mandir}/man1/langident.1*
%{_mandir}/man1/make-lingua-identify-language.1*


%changelog
* Mon Feb 04 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 0.51-3
- Add missing build requirements.
- Patch a unit test so it actually tests something (RT#83071)

* Thu Jan 24 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 0.51-2
- Replace usage of the %%{__perl} macro by the plain perl command.
- Use DESTDIR instead of PERL_INSTALL_ROOT in the install section.
- Add missing build requirements.

* Fri Jan 18 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 0.51-1
- Initial package for Fedora, with help from cpanspec.
